      SUBROUTINE DFMAT(X,Y,YP)
      REAL*8 X,Y,YP
      END
      SUBROUTINE FMAT(X,Y,YP)
      REAL*4 X,Y,YP
      END
      SUBROUTINE GVEC(x,g)
      real x,g
      end
      subroutine DGVEC(x,g)
      REAL*8 x,g
      end
      subroutine UVEC(x,u,g)
      real x,u,g
      end
      subroutine DUVEC(x,u,g)
      real*8 x,u,g
      end
      subroutine UIVP(x,u,up)
      real x,u,up
      end
      subroutine DUIVP(x,u,up)
      real*8 x,u,up
      end
